%global packname  multtest
%global bioc      2.4
%global Rversion  2.9.0

Name:             R-%{packname}
Version:          2.0.0 
Release:          1%{?dist}
Summary:          Multiple hypothesis testing library from Bioconductor
Summary(fr):      Bibliothe que R de test multi-hypothèses

Group:            Applications/Productivity
License:          LGPLv2+ 
URL:              http://www.bioconductor.org/packages/%{bioc}/bioc/html/multtest.html
Source0:          http://www.bioconductor.org/packages/%{bioc}/bioc/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:         R >= %{Rversion} R-Biobase
Requires(post):   R
Requires(postun): R
BuildRequires:    R-devel >= %{Rversion} tetex-latex R-Biobase

%description
Non-parametric bootstrap and permutation resampling-based multiple testing
procedures for controlling the family-wise error rate (FWER), generalized 
family-wise error rate (gFWER), tail probability of the proportion of 
false positives (TPPFP), and false discovery rate (FDR). Single-step and 
step-wise methods are implemented. Tests based on a variety of t- and 
F-statistics (including t-statistics based on regression parameters from 
linear and survival models) are included. Results are reported in terms 
of adjusted p-values, confindence regions and test statistic cutoffs. 
The procedures are directly applicable to identifying differentially 
expressed genes in DNA microarray experiments.

This Library is a part of the Bioconductor (bioconductor.org) proejct.

%prep
%setup -c -q -n %{packname}

%build

%install
%{__rm} -rf %{buildroot}

chmod -x %{packname}/inst/doc/*
chmod -x %{packname}/src/*.c
chmod -x %{packname}/src/mt.h
chmod -x %{packname}/DESCRIPTION
%{__sed} -i -e 's/\r$//'  %{packname}/inst/doc/multtest.bib
%{__sed} -i -e 's/\r$//'  %{packname}/inst/doc/MTP.tex
%{__sed} -i -e 's/\r$//'  %{packname}/inst/doc/Rplots.ps


mkdir -p %{buildroot}%{_libdir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library

# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
%{__rm} -rf %{buildroot}%{_libdir}/R/library/R.css

chmod -x %{buildroot}%{_libdir}/R/library/%{packname}/otherDocs/*Rnw

%check
%{_bindir}/R CMD check %{packname}

%clean
%{__rm} -rf %{buildroot}

%post 
%{_R_make_search_index}

%postun 
%{_R_make_search_index}

%files
%defattr(-, root, root, -)
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/doc
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/latex/
%doc %{_libdir}/R/library/%{packname}/man/

%{_libdir}/R/library/%{packname}/CONTENTS
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/Meta/
%{_libdir}/R/library/%{packname}/R-ex/
%{_libdir}/R/library/%{packname}/R/
%{_libdir}/R/library/%{packname}/help/
%{_libdir}/R/library/%{packname}/libs/
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/data
%{_libdir}/R/library/%{packname}/otherDocs

%changelog
* Tue Apr 28 2009 pingou <pingou@pingoured.fr> 2.0.0-1
- Update to Bioconductor 2.4 and R-2.9.0
- Use global instead of define

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.22.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Oct 27 2008 pingou <pingoufc4-at-yahoo.fr> 1.22.0-1
- New version 1.22.0 for R >= 2.8.0

* Tue Jun 25 2008 pingou <pingoufc4-at-yahoo.fr> 1.20.0-3
- change the url

* Tue May 27 2008 pingou <pingoufc4-at-yahoo.fr> 1.20.0-2
- Rebuild

* Mon May 26 2008 pingou <pingoufc4-at-yahoo.fr> 1.20.0-1
- Update to version 1.20.0

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.18.0-4
- Autorebuild for GCC 4.3

* Mon Jan 07 2008 Pingou <pingoufc4@yahoo.fr> 1.18.0-3
- Change on the BR and the description

* Mon Jan 07 2008 Pingou <pingoufc4@yahoo.fr> 1.18.0-2
- Correct error on the URL

* Tue Dec 04 2007 Pingou <pingoufc4@yahoo.fr> 1.18.0-1
- Update to bioconductor 2.1 

* Wed Aug 29 2007 Pingou <pingoufc4@yahoo.fr> 1.16.1-1
-  Update to 1.16.1

* Wed Aug 29 2007 Pingou <pingoufc4@yahoo.fr> 1.14.0-6
- Change the license tag

* Fri Jul 13 2007 Pingou <pingoufc4@yahoo.fr> 1.14.0-5
- Change in the R and BR section to fit the guidelines

* Tue Jul 10 2007 Pingou <pingoufc4@yahoo.fr> 1.14.0-4
- Change in post and postun to fit the packaging guidelines
- Change in the prep section to fir the guidelines

* Mon Jun 24 2007 Pingou <pingoufc4@yahoo.fr> 1.14.0-3
- Change de %%doc to avoid redundancy

*Wed May 23 2007 Pingou <pingoufc4@yahoo.fr> 1.14.0-2
- Add the %%check section

*Thu May 17 2007 Pingou <pingoufc4@yahoo.fr> 1.14.0-1
- Submitting to Fedora Extras

*Wed Apr 29 2007 Pingou <pingoufc4@yahoo.fr> 1.14.0-0.1
-Build of the rpm
